<?php

namespace domain\Ticket\TicketMessage;

use domain\_\AbstractRepositoryQuery;

class TicketMessageRepositoryQuery extends AbstractRepositoryQuery
{
    protected TicketMessageDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(TicketMessageDefinition::class);
    }

    public function filterByTicketId(int $ticketId)
    {
        $this->andWhere(['ticket_message.id_ticket' => $ticketId]);
        return $this;
    }
}